package function

import sexpression.Cons
import sexpression.SExpression

abstract class LispFunction {

    open val isArgumentListEvaluated: Boolean
        get() = true

    open val isMacro: Boolean
        get() = false

    abstract fun call(argumentList: Cons): SExpression
}
